summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-09-05 10:24:06 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-09-05 10:24:06 +0100
commita0f09b2c947909b614c52fcfbdce964469404101 (patch)
tree675a5547be05cbc1b2f8a23d007dbf5ade80ffc7 /dev-python
parentdff5148a375dbe1b3ec2c5e5e4fa482bd1224c98 (diff)
gentoo auto-resync : 05:09:2022 - 10:24:06
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin259895 -> 259884 bytes
-rw-r--r--dev-python/aiofiles/Manifest2
-rw-r--r--dev-python/aiofiles/aiofiles-22.1.0.ebuild31
-rw-r--r--dev-python/antlr4-python3-runtime/Manifest2
-rw-r--r--dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.11.1.ebuild29
-rw-r--r--dev-python/django/Manifest3
-rw-r--r--dev-python/django/django-4.1.1.ebuild104
-rw-r--r--dev-python/flufl-lock/Manifest2
-rw-r--r--dev-python/flufl-lock/flufl-lock-7.1.1.ebuild34
-rw-r--r--dev-python/fritzconnection/Manifest2
-rw-r--r--dev-python/fritzconnection/fritzconnection-1.10.2.ebuild51
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.54.5.ebuild76
-rw-r--r--dev-python/keyring/Manifest2
-rw-r--r--dev-python/keyring/keyring-23.9.1.ebuild51
-rw-r--r--dev-python/websocket-client/Manifest2
-rw-r--r--dev-python/websocket-client/websocket-client-1.4.1.ebuild37
17 files changed, 430 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index d30117cc963a..d96b1b7c51fa 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aiofiles/Manifest b/dev-python/aiofiles/Manifest
index 928e1b9e1b46..8b71856ad490 100644
--- a/dev-python/aiofiles/Manifest
+++ b/dev-python/aiofiles/Manifest
@@ -1,3 +1,5 @@
DIST aiofiles-0.8.0.tar.gz 24139 BLAKE2B 0f113b75832219e63c0894e70ec613138db7e243ad032bc6d7bf715aab505b5246ab7a0add64b46a9b981801cf05885f7affa965cb625941dc57b805280f0ff1 SHA512 4f590baa0369d465a6139c0d4f50beeec60f8f213b607e0e41598f45f507a12edc67b29c77718b03eee7532f10ead8599f55aac3fcb78d0429435c25a58f6d2e
+DIST aiofiles-22.1.0.gh.tar.gz 21630 BLAKE2B 8f068046fc143388debc93b657f8b4715cd48eac7e7b8a031ccdc6d2f5764ddcafb2ad1fab713ca55366cad951b570e1c2a120932bf5545482e1a3f086a76bf9 SHA512 6706fb7b6fd32df415ece64f35b8ccc2f263301c43292612b2b6173fb66c77bc88fd08ed0b0bb30fa3dd49571be8fc733a3d4f3611228fdbb368743588336357
EBUILD aiofiles-0.8.0-r1.ebuild 518 BLAKE2B eafbbfeb5eba6e3df53c017a55b81e8a1b7f2eba528d43a196db80628ad136aae56bbaf9f3105bb9b30e4c36dd18d56865f23166a0aca2176ab3402e8fa1cb0c SHA512 c4657748f11995d7ba42721cf8e12d81f2b48af6a8a334d96699d0c2abb293d726f1a365727af9fdcebdb1857aef340202cd2242567f336c743fd8e3c4d89f98
+EBUILD aiofiles-22.1.0.ebuild 569 BLAKE2B 1c21d3ccbe909a6f2d608f9b01cfeb1bc8ab141f9e73905db621a62e446d89ef26f9a2d0ecd57d339f5e977e19d62cd6a345a1d056c8ddf2cbddbc53437d5573 SHA512 de0b4c455b017d0065a41a08c758fecaad09752bfd036a9ddb1af2a090983ebfceaa24c82f4e234f374c79ab1e10b3c1b6dcefe677ddf4f91b6e35833f2eead6
MISC metadata.xml 712 BLAKE2B 99425400a12f16885a65f3ec1b2bfa068d5fa2a20a075dbdd2e5a98543c25b2ff4c46ed435c3f6594d47e4265e5ebaab87e97c7f76f127b112fb883bcf26942a SHA512 235749ee35f86ee062ccaa682a3fb3872c1903f8c38e9bf8a9ed5be60d24526fe6007bf84764ca20347c87736549870b7f40d701f3a7c1936a9be1503e299b67
diff --git a/dev-python/aiofiles/aiofiles-22.1.0.ebuild b/dev-python/aiofiles/aiofiles-22.1.0.ebuild
new file mode 100644
index 000000000000..6b02b37e3b7e
--- /dev/null
+++ b/dev-python/aiofiles/aiofiles-22.1.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="File support for asyncio"
+HOMEPAGE="
+ https://github.com/Tinche/aiofiles/
+ https://pypi.org/project/aiofiles/
+"
+SRC_URI="
+ https://github.com/Tinche/aiofiles/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/antlr4-python3-runtime/Manifest b/dev-python/antlr4-python3-runtime/Manifest
index 7bd4821e9395..e289a794e581 100644
--- a/dev-python/antlr4-python3-runtime/Manifest
+++ b/dev-python/antlr4-python3-runtime/Manifest
@@ -1,3 +1,5 @@
DIST antlr-4.10.1.tar.gz 4599964 BLAKE2B 72688b3835350da11c015558a2840428fe69332a7b48992e118cb410005efce6ca5e02e8e5b1cf5edbf2cea506ec30fe516cce5061c52febbdb71f735c1c2cd1 SHA512 d950171d279b57b0fa977c77dd33e56848ca0aaf7f6ba40e5d49d69d5963e4c2e36fde5ee89e98c594064a909396d6fed9cc20129c3a1895d864eb889581e982
+DIST antlr-4.11.1.gh.tar.gz 4383139 BLAKE2B ac6e49ae8d4d44923e40eba98fa2c850cb594929ae1a29223678377aabe6f35d57f95e125393aa6b7145828c876442608883356b594ab43346c891ca932d9fd5 SHA512 a81f2ebcbcb6e63eb651731ceafab55f66401a3da0a6b2688cfe96d3bda299542dab5b05aaf4c8a8520ba32891b23adbf912011a4e45afae492a2a350d333ae9
EBUILD antlr4-python3-runtime-4.10.1.ebuild 627 BLAKE2B 3379bd958c63490aff7c337b457401558c7e60ab5cc1959098b7b717c78bfd36712abba605b68c994bdb18eb334e5730204bc91c7fb355e3c66285d764b2e398 SHA512 04507c76a6de8f9dada63adada870c30344d742376eeeb1fe5a77464fffc1111942502e21e0f4c22265bba2f7c3a333410b71e10ad5a8aab5348c9baf1ba0e6e
+EBUILD antlr4-python3-runtime-4.11.1.ebuild 630 BLAKE2B c1de6fd98c5111810c385b357c80e69548f268936d8b944a0827ec777f99cde9b8ef3f3ae9f8e220d0a31e1252a24e4dd1d44e8655571cf8577638b8ef05a496 SHA512 41aac84e4362e1af1497514182ab7bc96a4e4c8be9477c25756d7a7a1e3688a11e51758efba1950cff6e3075de493ccdaed73ef874ae12a91f42e8c17107be16
MISC metadata.xml 475 BLAKE2B 12dd34c09572017544a99c3985f6a7ad6c163f999f43fbc7ef4903456fe2d7fc59a8571fa3337ebe5a49eb6efab0a657a1b82b484b55887c799af11c0e64e716 SHA512 44ddd959d9f77d7beb97f84888db46ca468ed79ca844f89bbcac57366f42e1c2a1689497e2c25a659d2a63026b3c85f8348a43ee0213573d4a85cbf77fdfb993
diff --git a/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.11.1.ebuild b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.11.1.ebuild
new file mode 100644
index 000000000000..13f1fbcbd807
--- /dev/null
+++ b/dev-python/antlr4-python3-runtime/antlr4-python3-runtime-4.11.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 runtime for ANTLR"
+HOMEPAGE="
+ https://www.antlr.org/
+ https://github.com/antlr/antlr4/
+ https://pypi.org/project/antlr4-python3-runtime/
+"
+SRC_URI="
+ https://github.com/antlr/antlr4/archive/${PV}.tar.gz
+ -> antlr-${PV}.gh.tar.gz
+"
+S="${WORKDIR}/antlr4-${PV}/runtime/Python3"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_test() {
+ "${EPYTHON}" tests/run.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 55f287b86ddc..1f56c8442484 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -6,9 +6,12 @@ DIST Django-3.2.15.checksum.txt 2560 BLAKE2B 35a4f28005a07cee0b667ec55838d846cb7
DIST Django-3.2.15.tar.gz 9833828 BLAKE2B 4b914b1e3c192340d9a1bbd68b7d3bf3d1c1b3f41da6e4a67149e811a2312f646e2ced83af23ae035cf590e526dad00537aa5b4aee14a657f6952675eca94b30 SHA512 fccdad52d39c8757972d5e987b94b13d8ce5ce08ad480ef79407b0d9b88cff69336770409cbe18ce9529bf10966ad63105a0b0f1ffe39b681a41be3718ec886b
DIST Django-4.0.7.checksum.txt 2551 BLAKE2B 6fa44707d33af485d3c55096dcc650b4e2384421c57c30cedee9f9577488783836a3ad8261dceaf5c718c1a5fcbe5852b081596525b22639c310c9aa6e86c639 SHA512 4b2453be8090c2a9d48bbe34f6e5dd55859b9debc3a116519c69da39d04ecca202e6da62ae9114790a9da8c55cfcfe176a972bb25576305a8e23736e2e063e3e
DIST Django-4.0.7.tar.gz 10407810 BLAKE2B 77c994d042ace329699aa33e14098cbcd4f24fa4db880dd78ed87828b02c25298a1c1664511547de53eb80ebade7bdfb16412a615027e512ded437ae7de79b54 SHA512 51574ab7423a3948318a5985f74bd781269bf1c95dc77838c11e8f9d5e9233f0a3be5dfa4798d523473b9f1fd3196d4c10284e3a28d9543084b2a63179167731
+DIST Django-4.1.1.checksum.txt 2548 BLAKE2B aee8b104cf680645aabef0f2a18c029414435093b40eaf8f61dfecda3745b364a64e340136cc35c416708b150074d7fa18d65ab9619ed7e477d94dbfcb3d769c SHA512 62c542e4f6574ef82563ba8b5389d1408506cc4f48eb3781109d00ddaeb92f93d28536e913c120171bdbe979834baf4c28a14bc934b0540a75d1a5b7dba97d5e
+DIST Django-4.1.1.tar.gz 10474304 BLAKE2B 5349e095824db2aadfd8962932916ec2d01fa5f25287cc3b2184d921b9dd6c8d1e52a4648dc8f4cd87da03a261a0406fe7ef521667513a734bd1dae0754ed18f SHA512 49d0003b1a582cb27163df4bb30eda21d4e3bb101eb5ca0dab3ec1d5b4d99b6481b2edb4fd0e89ba8a06d0266d24ca70c92cd51b9e4c4eab818d68098e8ef4d8
DIST Django-4.1.checksum.txt 2533 BLAKE2B 263c3719c572347cb5d2087b960a47f0e6ac409a94499cd5ee8ec619c3388d29354c10813d4b3d2a0d6bd73ca52f562a6ae89a3d9340d5ea478a80cc30284467 SHA512 96d0a66c40261530d65bdde34ba1fc2e650690821b0f52900d60ab85162debc64e33e089f90e2b106235fc47581a54dc6432968534837c1a71a887b40fdd4f36
DIST Django-4.1.tar.gz 10484595 BLAKE2B 29a833330862abcf69bf082af6df08986443d34abfe821bd307fba6ddd73dd00be7ae8d3e809fe97db0b22f9062daa760cbe01da8d773e1528f583938959f775 SHA512 f0f7e627b3c474c886cb2476f900222d2623e1ed1da1ac6b23ac618ff49e330edc2efd47b275cb02b8bcb254126bf3c926462c616bb0abee1cd433715f5184da
EBUILD django-3.2.15.ebuild 3050 BLAKE2B da552703a81abf12dc9f104268237438fcc8b9003a9d4789706ee2c812799aef24e4476039cd64bb65c7821f844138e22220006ea14c1475cf3d1705babc6298 SHA512 59e9aa4a66d7b804578fab30b0db04ad2f07d482c07260bfdec986c921d321e4a79b03c046b877a2ffb7d0bc204f0799d4f2557abdc01560879db2c75d68f536
EBUILD django-4.0.7.ebuild 3014 BLAKE2B b7cf6af18b777fe0953f5b8d86f973052f91deebb13b4098389501492fa0154a219a92f73f4c7d4f7837f213b3d577dc8019adc45f166c7168d35e7c86d8263b SHA512 4fadb585365955d6d3e9fabbc0657b35435266bb27fd1515712f91844e21fd5adf6a24c42b02ec6e58c031c40fc9909cb4f25f610acdc752b6046cc19d9840ad
+EBUILD django-4.1.1.ebuild 2899 BLAKE2B c84e9f3ba8a7be4ed558618906e052af0e9024e938ac3fa4f9006ec54b2c9e6ca79f6f8f2e2181a5e2c1b94ae96fb3a4cd7b3d71efd802324d456ec958ef0162 SHA512 bce76087cc21969a468794bd19dd84a5150d995c0d264bb0350db4467a1b8e4a7b3f04f70dbcddccef36b90de76ffc7fb7c8546ccc9576d59c110f893ae6693c
EBUILD django-4.1.ebuild 3014 BLAKE2B 2e1a238d9c1e3d3256111d2153f9bc4ec6e4ffc5d084f87d7fc699290999dfb8ef870ab94607ba8777753be053b888230be3a31d820e53be522edb32a352c698 SHA512 fae3486b9008e457b4b65bee3fc919e82a81786cf79b54cfc6a4823f1c2f9d9f7e551ab3e8db6b4d9c8c3bca217278a165d49dd5648bc591ec4096d34fbf811e
MISC metadata.xml 400 BLAKE2B 6b3414ac734f078d90c82b44edd2f9f70e494e98da8a3d874d18006ae5e0eb5f7060b98b402094d6045e800bf525586f2566e6f554a8b2999cce37bdcc5472a0 SHA512 1cf0bb6ef93da3abbd1a66878462b1b8672a9b8fccd7f968b427e429caa6ecf30cb703a6060d621ccad1ba77b927d2b0e632b04b0a47975918ccbfcc5f2b85f7
diff --git a/dev-python/django/django-4.1.1.ebuild b/dev-python/django/django-4.1.1.ebuild
new file mode 100644
index 000000000000..eb13ac84e4d2
--- /dev/null
+++ b/dev-python/django/django-4.1.1.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+MY_P=${P^}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.5.2[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/backports-zoneinfo[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ !!<dev-python/ipython-7.21.0-r1
+ !!=dev-python/ipython-7.22.0-r0
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.0-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/flufl-lock/Manifest b/dev-python/flufl-lock/Manifest
index 8e5c3bcf1f3b..550a9cd15071 100644
--- a/dev-python/flufl-lock/Manifest
+++ b/dev-python/flufl-lock/Manifest
@@ -1,5 +1,7 @@
DIST flufl.lock-7.0.tar.gz 33169 BLAKE2B 72c763e50e0a28f02fe6d9a8d88b1c64626a60310b203f9bbcc82e950f8ac494640748dece4c63542d4b89512a1f98bb1d92bda145028ebd18a8f254c2e2c1eb SHA512 b1c5151d30aa3e9afc12fe0dbd9be05ad1f9133b32f5e3bacf98532fefb08fbf354bf4b9a4b9fc90e448861941eba358e8f67218daf9797eb031b487cc717181
+DIST flufl.lock-7.1.1.tar.gz 33017 BLAKE2B 813b4b77fe2b7c9d7125e9d4a5530a77aa4205e1eb0a90852419f29669db97c683fe1d73d221bc7490a7a827da24e23bfac38002c1e6a179289b56b59e2d4dfa SHA512 eb9d8a80013ca07cc3eaab30ced596c0362cfc59d5a1f7cf17aacbf4068d9989b443df7e2d5f5e09d6f60e0ebc784ab1897ca7379fde7eeb57246cb6b5dfef3f
DIST flufl.lock-7.1.tar.gz 33315 BLAKE2B e6a93c4bba8edf65cad505b52d8f57731410b4b3d8e293407123468820d9eba585f09c1683f191c035f5b97d59b8e45a921218107a32e3c49a1acaf20890b997 SHA512 6f073ffd7ec825b9483b70e68b86e6f8842056334126bd54778e8182489df5f659afcdfdec103fdc516d7a4a3cf8ba918d337f01816b6b688ef8706d52627314
EBUILD flufl-lock-7.0-r1.ebuild 732 BLAKE2B 97f17bfb5e427f41d1f83af040acf4daec4d2f293150d87545a53df7aa7172331bd525416d9f3a24ff94e42c358b7ae8e45cf349a597fc99978618699bd462ac SHA512 4ba442f4a6e45ecb5457f9156ec44817cfb37a4450a0c078665e95c0e2190469a8844c68d34cf1352fd71073450ac30069af80107724d8bed05c10bad2391f00
+EBUILD flufl-lock-7.1.1.ebuild 736 BLAKE2B 11b4f53e4027a24b5facfe6859a690c181a43f9bf2f9dd16f7524ba7d3a6b5f854f1c177fa1086e1b487e43c1068ce1438cfe61d9e0b4605c10dec21cb7fd49a SHA512 adf1d431c98c2f3547629991199a14d63b7f0a7d2fa764c7eb0826105056b44d11df23c1af943fd872d79207b444d28f5ef694042dbdcb6c899ccf38e9c16315
EBUILD flufl-lock-7.1.ebuild 736 BLAKE2B 11b4f53e4027a24b5facfe6859a690c181a43f9bf2f9dd16f7524ba7d3a6b5f854f1c177fa1086e1b487e43c1068ce1438cfe61d9e0b4605c10dec21cb7fd49a SHA512 adf1d431c98c2f3547629991199a14d63b7f0a7d2fa764c7eb0826105056b44d11df23c1af943fd872d79207b444d28f5ef694042dbdcb6c899ccf38e9c16315
MISC metadata.xml 407 BLAKE2B 351ee456a6b36c54e42f4be026d3fad2aa49e4f2be746b43934e4402f594a2fd4eed5a29eb4a1bd22192a141e220523dad77218ac1b1e8a2db10190df97b83a0 SHA512 aa8fa297cc7b996c495542c23628ece8139117ec1da6b2cd0cf7c72bb90258618f8e2368aa1e5e48689540b11a7df7e16fab4da502f5058c1b6cf6e058c309a8
diff --git a/dev-python/flufl-lock/flufl-lock-7.1.1.ebuild b/dev-python/flufl-lock/flufl-lock-7.1.1.ebuild
new file mode 100644
index 000000000000..1c3d999df72d
--- /dev/null
+++ b/dev-python/flufl-lock/flufl-lock-7.1.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="NFS-safe file locking with timeouts for POSIX systems"
+HOMEPAGE="https://gitlab.com/warsaw/flufl.lock"
+SRC_URI="mirror://pypi/${PN::1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/atpublic[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/sybil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/addopts/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/fritzconnection/Manifest b/dev-python/fritzconnection/Manifest
index 16013fb1305f..d92360ce5310 100644
--- a/dev-python/fritzconnection/Manifest
+++ b/dev-python/fritzconnection/Manifest
@@ -1,7 +1,9 @@
DIST fritzconnection-1.10.0.gh.tar.gz 146309 BLAKE2B 64b01a561a015fae10dc3aced2576afce5d27555aba019028de32d5dc0ee9099f4248d900ac1de0f18321d52537dd7b77ff010ce44ca863ef9b5c5e228c61071 SHA512 86acce864624f67fdbd407157565cec434d029907b4d295a3e5e1bb41d8856ca1eae99681fd3c44033c6bcef8ecc594483f734e08c4fb733e685c01147dd3c29
DIST fritzconnection-1.10.1.gh.tar.gz 146297 BLAKE2B bbb8601d3c5f9f379275dae8e293385f9c4dca44eb9e74b22f12cd4e89a50a3dd2c8220aa0e28408f3f136192c43a5d4bc37347e047caed42f889cc303b02f52 SHA512 fd860a563eeefba374ccc8d2ab8319dd07b6c02c12fd9b7ff00353d86b041757fded308f5a0859cee8d190c5c51b5308290eb656e77ed8e3882ee482568cd677
+DIST fritzconnection-1.10.2.gh.tar.gz 146414 BLAKE2B 2a3a478ded0897c7ce703ebb34abdd54f54d286a82dfe761703b7ec8b3615891797815c0fb3a7a08f70d2713f530f31fd6ca8093b634a09a6d10cce95ad97d6b SHA512 b7073f5cc558ac9b43bf8e53aac5bdee1b9d4f164d72c766f63a62f88d38635da40202b48cba36356a9871f4f9f9ecda7020424491f419d534e3cb1c9067cb28
DIST fritzconnection-1.9.1.gh.tar.gz 79580 BLAKE2B 6972c92aabb9c516e2b4d3d18bea2daf8002a12c9939a5badd1ceb8f7539a243f99778a3ded0cd057850b54e9cb2a0ca9d2c31be688eaf81f4b279b74d10fc55 SHA512 55642cf1db581c62091d63fdfa9bf4fe36c545df686eae7d0f886b4ef8c186668e6f8fb7bc7786e13936764ea771e0dba79e62b57f19348dd562bf23a27d6369
EBUILD fritzconnection-1.10.0.ebuild 720 BLAKE2B 8266d36789f99c3b87a6fc4961accfb41a0d7047100da007d7279b3f385d0be6b9f718865d6841b757fb10b3f6d6a6fc4d36a130e9e11e2374acabcfbd607028 SHA512 277ebc11c36d4d48aa5f59076725bc5fa3349aeb8ce5aaac37011b6d7b9826fc7025e759416642f47f632fb7024151d68e214d7b03eea63d1746d9a8c76ff99e
EBUILD fritzconnection-1.10.1.ebuild 752 BLAKE2B 5c1a575fd8dba33f013d48f34e299969d214bc5f8a538051380b48928196b31027d6fdf194ec2c53ef4b85233909a2d5653a160ef7d22ae54a303502cd5dd384 SHA512 3fdd1acf0bc0c12b690a423e1cebf6150836c4047b219c0bb129531440093951d414ef3b18e1ec26b7e0076103573a675ed0cfca69d3ae3248e9b5b3793820d9
+EBUILD fritzconnection-1.10.2.ebuild 1113 BLAKE2B 3888c900d810725125ed204e5ed665ecce8c24b1f03833ecc5bc892047e83717b99bd99bb462a64f3cd88684090b5d61c5586b0f592b751e2d9d06db9c0c0668 SHA512 2a5c46214a594bb8bcc2aa93ec05dd607c530465e34db71edd4f792a51a5eb6bef66e62a1442299799a3c842bdf99dc3f82a0d412d906dd3e2bdbf8d229c901d
EBUILD fritzconnection-1.9.1.ebuild 720 BLAKE2B e99e847560c7bb83b7baab4d6c77bc5c8a454029df5a21edab8098fa7f5130515f6b68c84656981ceb8742d2ba12064fdc128d06169b4763bd76948bd5018e3f SHA512 45c8c729655481eac8b87cdec1a98c2b6f8ff5fcab1824abf74df3f563192112af4280d2872620a40011fb5920b262b88b11862eb2db272af6e03fe1a063300a
MISC metadata.xml 469 BLAKE2B f180fca33d0ab2fc81dc87fd39db87cf8c8ff51777062968a3ace592c9ac63af311273fda2db88c6772204ae24c21b4f195d1b7bacbb3c23f677dc7e8e309f1d SHA512 9ab24725dc0bb5b0e40ce79520d19c0348b08c7d779b53064111aa53fefefadc164b6140310df0a367d460d2fbb46345bdb2b7b6a9cf1beba3bbab1f7d7e2697
diff --git a/dev-python/fritzconnection/fritzconnection-1.10.2.ebuild b/dev-python/fritzconnection/fritzconnection-1.10.2.ebuild
new file mode 100644
index 000000000000..f901bc98be0c
--- /dev/null
+++ b/dev-python/fritzconnection/fritzconnection-1.10.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Lib/tool to communicate with AVM FRITZ! devices using TR-064 protocol over UPnP"
+HOMEPAGE="
+ https://github.com/kbr/fritzconnection/
+ https://pypi.org/project/fritzconnection/
+"
+
+LICENSE="MIT"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/kbr/fritzconnection"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/kbr/fritzconnection/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+ >=dev-python/requests-2.22[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # flaky (relies on time.sleep(0.01) magically being sufficient)
+ fritzconnection/tests/test_fritzmonitor.py::test_terminate_thread_on_failed_reconnection
+)
+
+src_prepare() {
+ # upstream is pinning for py3.6 compat x_x
+ sed -i -e 's:,<[0-9.]*::' setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 4541004c9b64..e6657dd00921 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,9 +3,11 @@ DIST hypothesis-6.54.1.gh.tar.gz 9324403 BLAKE2B 897fa4901a5c5c0e32c4197020702db
DIST hypothesis-6.54.2.gh.tar.gz 9324746 BLAKE2B 25e3effa9667e8b6c57dff0ed00c14cc36385678475a1a1ac9fd30d2e293ea3a49d76ad34e391b33bad7214ce97b5d23aebedcb5d7f74686f3182a72e133416f SHA512 f53d589426b2340f6d747763cc4228f632474bc833e53e2d67fd6545437fc46cf976055dd0f1a55c4cb6377667ce0b0d8bc7dae33454157fbb91af7a5b009b62
DIST hypothesis-6.54.3.gh.tar.gz 9325211 BLAKE2B e0d6bc21057b50676ef98d1c9721b82c30986670758b2a7bfd1b101cc8d42258bf0d61887867445aafe13b8064c47d64583ab492e21b6fea510ef0c26fe01782 SHA512 288c5ea9c1dd8ee0839c11385f52ba8b8122f408aa11c6d2416460233ef78890e3014e659ef4312da4822da3abe2dd9163f68d2711556800e805ae41280aa132
DIST hypothesis-6.54.4.gh.tar.gz 9325437 BLAKE2B 2000c806a0c791d1eb353a829e5e96d53e935d360fd450b3807186121fec4dfd171b8821e08b6c23b0cbea8d24b0d88c32126281173a0de2f12b29d09ec2d62b SHA512 7e5b70cc2df874163205e3d35f3f5e6a71319e779b35f1596c69222373e9b766a143ccf37aa1699de6b98827978e44ccbca0b1e30e6ffe29c8b68c83bb3af869
+DIST hypothesis-6.54.5.gh.tar.gz 9325448 BLAKE2B b4cb8a413ad96f11f4dbf4a1a529e389dbca45561264cf0922721a25009d1065fdce21064faf53bd7aad2f589c159b52d899aa7b12c12da68beae8c9186c0505 SHA512 37205ea28b44537409a94592e466376e9612f84a8501ad2ff5504fc648e062555ffb600416bdd1f9a74f39ba39729defd581025e0611c501839721721f7cf6e3
EBUILD hypothesis-6.53.0.ebuild 2078 BLAKE2B 11eee6781b06ca0da65094d20403b7783d83799a1f0e3684fb450784faabd97cc624caa681d1b89974dae552d98ea8c98f8a2de3dfa57c97b4246afe9370f621 SHA512 972d703e77d7403ca70447f2b27617874be3a0eff802c79ee05d7c0991acb931bb2a91967055c27f244568049d86879ec1a77153a7a48aaa4305132b0b537eb4
EBUILD hypothesis-6.54.1.ebuild 2086 BLAKE2B bcb3fca12e4ca3e6595ad6db87d0efa7b7029471da4ecf98ec59ac4597ded88f4996a97966996544d76af871c08a56d43333b269ba15a34b6198fa7f359df2f6 SHA512 958ec21680ae6029bb5adb1711631b5352631899bb25084fb35d28bbffc44bc0054456fc3711a828f0e224af322c4499df7a5c2bc39bb6158728842a6d76f5a4
EBUILD hypothesis-6.54.2.ebuild 2086 BLAKE2B bcb3fca12e4ca3e6595ad6db87d0efa7b7029471da4ecf98ec59ac4597ded88f4996a97966996544d76af871c08a56d43333b269ba15a34b6198fa7f359df2f6 SHA512 958ec21680ae6029bb5adb1711631b5352631899bb25084fb35d28bbffc44bc0054456fc3711a828f0e224af322c4499df7a5c2bc39bb6158728842a6d76f5a4
EBUILD hypothesis-6.54.3.ebuild 2086 BLAKE2B bcb3fca12e4ca3e6595ad6db87d0efa7b7029471da4ecf98ec59ac4597ded88f4996a97966996544d76af871c08a56d43333b269ba15a34b6198fa7f359df2f6 SHA512 958ec21680ae6029bb5adb1711631b5352631899bb25084fb35d28bbffc44bc0054456fc3711a828f0e224af322c4499df7a5c2bc39bb6158728842a6d76f5a4
EBUILD hypothesis-6.54.4.ebuild 2086 BLAKE2B bcb3fca12e4ca3e6595ad6db87d0efa7b7029471da4ecf98ec59ac4597ded88f4996a97966996544d76af871c08a56d43333b269ba15a34b6198fa7f359df2f6 SHA512 958ec21680ae6029bb5adb1711631b5352631899bb25084fb35d28bbffc44bc0054456fc3711a828f0e224af322c4499df7a5c2bc39bb6158728842a6d76f5a4
+EBUILD hypothesis-6.54.5.ebuild 2086 BLAKE2B bcb3fca12e4ca3e6595ad6db87d0efa7b7029471da4ecf98ec59ac4597ded88f4996a97966996544d76af871c08a56d43333b269ba15a34b6198fa7f359df2f6 SHA512 958ec21680ae6029bb5adb1711631b5352631899bb25084fb35d28bbffc44bc0054456fc3711a828f0e224af322c4499df7a5c2bc39bb6158728842a6d76f5a4
MISC metadata.xml 756 BLAKE2B 26e40ab96ddcbd5751023e3c0cc9aa86e96d73ba02bca750ad15eb4301beb0318d3d694c54c2c2a2cb50937731af727411e8afb67e1a21e58e0ff611eeea9149 SHA512 cd48d35c5fe41aa9efcfea9eb7b2d78a4646658b5aab7533ca6492d4700032099fd34ca2dc45a6198c27351650c9e901c8b7c4d53ade2b56695d5e26ca371238
diff --git a/dev-python/hypothesis/hypothesis-6.54.5.ebuild b/dev-python/hypothesis/hypothesis-6.54.5.ebuild
new file mode 100644
index 000000000000..1065b755121f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.54.5.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_11 pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/keyring/Manifest b/dev-python/keyring/Manifest
index beb732e52c3d..8c39c0c9ef35 100644
--- a/dev-python/keyring/Manifest
+++ b/dev-python/keyring/Manifest
@@ -2,8 +2,10 @@ DIST keyring-23.7.0.gh.tar.gz 45352 BLAKE2B 8cad2f2c7443adf710220d546a080c4ca106
DIST keyring-23.8.0.gh.tar.gz 45941 BLAKE2B db78b53e2d2964c65d850df4226954db696037fa220f003d91e94603ce12b4d3668b7b53a91b71244d8555ba9c9195309a2e8a9aafd88d12da0f1a916b469857 SHA512 daa0b88b9f7c6e94eb589c15f364ff2a0fb83cead50b4fcafa6214072681d4346c8abe7ee8ab76f0ab93b7c7bccc551f65912dbfa749256e226f1e84793676dc
DIST keyring-23.8.2.gh.tar.gz 45987 BLAKE2B 3a8faf6487c2d4dd76e549585a236e4744e5a4d23a778515425e7e78c7161717c2d16b8f268fbc8b8c59d6fb3fb39fc789b0dd92363b6d61073047af8d99b804 SHA512 af5c764d355c548d1f1364006dbaf6ee366a7dbbda9649145dafa5d610a4691ab4488151c054359e26a467312653601ddf722bddf35deae309067355337eddec
DIST keyring-23.9.0.gh.tar.gz 46610 BLAKE2B 31581974d40d4fd0febd576db3967f29a09e9d9251c59fa2d0198cb80f3ec49d043fdde4002f3893cffce6936f4e9e2186457f870ba97e65a22c70a2741e17d3 SHA512 c8432d61ef94a56cd3aafa3f766cc1488585cadbea757eb63ba3d73a0b373ac949a27edba4b282ffb8629fcd9a3a6c0b0acea90dd377bf3f2fe5a290b82e4b44
+DIST keyring-23.9.1.gh.tar.gz 46768 BLAKE2B 4b1acd33f53244a8932efbd54a8edc065071cf2ce2049d590a7804b171b90719fb18d982aa7bea217f76beab80e2cce5d4ff4f5440d23342879aed5ee79d7c82 SHA512 e384c4e592b2c4b9b6505c1fe22d9192c6d577add52e874490833dadaf1aba9dfc708593762471de0f5995bc6bb35f61ba541590a152528b489128fca629c623
EBUILD keyring-23.7.0.ebuild 1196 BLAKE2B 7d2f2f2a4882d589ab30a8f790400ce677967ff48e9c6943ed5a5f8eab48c140756fe6f8bc7f9bb068d76ebdbf9eed8593c3ef1e5f0ce14938d5a42518226c21 SHA512 5a884c745d5a228d19a175d8fad76fb749a04fc5fccceec4c068719ffebb9e0455a8904c0ea28c435780389986eae0cc5f44fce1c40286bcd48d39e021b9363f
EBUILD keyring-23.8.0.ebuild 1203 BLAKE2B 1782811352663db6d7532c2d2a949878f19c1073ad25a2958a2a43b590b77b7b25c5b3a82cd215077b00132c2f41fd2248223c1a9864f3f5ca1ecf6dfebeeb60 SHA512 b304bbdaadbe3c101d51d9fbd94d29396a3d4e9d16f20f3ac630d696cdf0f5773257cfe8869f119ccfdbf29bb23682989021a26c683d5c821cdd2b67eb7d04e6
EBUILD keyring-23.8.2.ebuild 1203 BLAKE2B 1782811352663db6d7532c2d2a949878f19c1073ad25a2958a2a43b590b77b7b25c5b3a82cd215077b00132c2f41fd2248223c1a9864f3f5ca1ecf6dfebeeb60 SHA512 b304bbdaadbe3c101d51d9fbd94d29396a3d4e9d16f20f3ac630d696cdf0f5773257cfe8869f119ccfdbf29bb23682989021a26c683d5c821cdd2b67eb7d04e6
EBUILD keyring-23.9.0.ebuild 1203 BLAKE2B 1782811352663db6d7532c2d2a949878f19c1073ad25a2958a2a43b590b77b7b25c5b3a82cd215077b00132c2f41fd2248223c1a9864f3f5ca1ecf6dfebeeb60 SHA512 b304bbdaadbe3c101d51d9fbd94d29396a3d4e9d16f20f3ac630d696cdf0f5773257cfe8869f119ccfdbf29bb23682989021a26c683d5c821cdd2b67eb7d04e6
+EBUILD keyring-23.9.1.ebuild 1203 BLAKE2B 1782811352663db6d7532c2d2a949878f19c1073ad25a2958a2a43b590b77b7b25c5b3a82cd215077b00132c2f41fd2248223c1a9864f3f5ca1ecf6dfebeeb60 SHA512 b304bbdaadbe3c101d51d9fbd94d29396a3d4e9d16f20f3ac630d696cdf0f5773257cfe8869f119ccfdbf29bb23682989021a26c683d5c821cdd2b67eb7d04e6
MISC metadata.xml 611 BLAKE2B 7f938075d992467e01da200f0c859e9bc6a6128296151b3529b2168b68364605bd7dbadf69f7820d459d5db6950908e0b0acb09a636f1fc45862093df6d08334 SHA512 a0ad1729c53b18fedf227053648b04541f5adcf56bfaa73218e214f8c2409ebe2574a5917442c5218084b38da34691b6566f2c65390ef6487985a123f62f9efb
diff --git a/dev-python/keyring/keyring-23.9.1.ebuild b/dev-python/keyring/keyring-23.9.1.ebuild
new file mode 100644
index 000000000000..a90ebe22521a
--- /dev/null
+++ b/dev-python/keyring/keyring-23.9.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Provides access to the system keyring service"
+HOMEPAGE="
+ https://github.com/jaraco/keyring/
+ https://pypi.org/project/keyring/
+"
+SRC_URI="
+ https://github.com/jaraco/keyring/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="PSF-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/secretstorage-3.2[${PYTHON_USEDEP}]
+ >=dev-python/jeepney-0.4.2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # this test fails if importlib-metadata returns more than one
+ # entry, i.e. when keyring is installed already
+ tests/test_packaging.py::test_entry_point
+)
+
+EPYTEST_IGNORE=(
+ # apparently does not unlock the keyring properly
+ tests/backends/test_libsecret.py
+ # hangs
+ tests/backends/test_kwallet.py
+)
diff --git a/dev-python/websocket-client/Manifest b/dev-python/websocket-client/Manifest
index 5d07111f1390..e12e01b98138 100644
--- a/dev-python/websocket-client/Manifest
+++ b/dev-python/websocket-client/Manifest
@@ -1,5 +1,7 @@
DIST websocket-client-1.3.3.tar.gz 48250 BLAKE2B 1d6027d7ad2f45ad774da8c4d5ad9c19c084998429cbd0ad5ade89700bcc21dc7c2ac452d0f4238432c0af16ca82d01442d002f988204c96e655d810906730b7 SHA512 e70b6c074cbcac1e97dc11b0ccf60dc67fc066f8394b6cbd20349c1d41d625966c03645da5ccd0a81198c80e2e40fdc267ac599bc5dfacadad4c511a83e06de1
DIST websocket-client-1.4.0.tar.gz 48470 BLAKE2B fb61ab005099cb213361c3b7ac0ac824a4780aad97d4fdad72dff71a06f626179e6416ad0fe9ed87112a2714db90eb06616584de7331466f62d2e8864689c62b SHA512 3f746f2ecdd4694e4d7c62eeea193015d6a082b149ca5db16e3cbd305955c99e126bbfd62513dab0037a8bc06999c67b016461137bf271a8578bcd6388e637fb
+DIST websocket-client-1.4.1.tar.gz 50883 BLAKE2B 4d80b5d5f407fdd81b5468f37b66759970cf96395738b67271388c55d13c30c36c9f7a5a89b10fb78bde4870e25bea5761c297b3fc85b0b8d62eda24443421d9 SHA512 a2804421e97ccbfb61cb2e8a2be6ecd5d5d60210971e27ca4e00a4854fb49df2e3c87ec87c0ec11565d7ce03f419dc3cbd8c2402843a8fced49d75d65d07b502
EBUILD websocket-client-1.3.3.ebuild 760 BLAKE2B 045744d48d8e7e6919b4be5f1484cd8f3449bdc732e2a4202d114f009d4f0eec6e5e97e7611a11c44be6c4bc1cd928b23b842ed71340ca2723fb6bde64b3ec7e SHA512 0b59ca720529f82ba4fd6cf6b615d7936ae9ce56f2bfa1377820a3b19684768cbaa5c5faef9afa81afd5d27c79b10d84fd8263214e78374dc9f05f60aa71c612
EBUILD websocket-client-1.4.0.ebuild 768 BLAKE2B 847d9a3ef01883de1346f3bbf9b8d9d02b6d32bf7e68c34c58c49ec85743634a027d12380bd09ef5ac2a6740af5dfaea7cf94cb33110cf9761a00fab5960f9b2 SHA512 cb3cf8c86ad48a3171871e870ab7bb1365f05d8e220533f90a12581ef231b0b12fdee8eb2d54d44b8d0932db5a1c9c147a6f301e7de743d5eb2e2584a1cbf8f2
+EBUILD websocket-client-1.4.1.ebuild 816 BLAKE2B 52d55ac6237a6ce0b5de36c3e5d5cdae69b2ec5401c09c8b5512663c327655d269c87793e743d83d072bab4c65107ce248b1a41b7f430611f33e41dfd24097f4 SHA512 baba222bfc2b038fa835a4d636c736ef3e6c6800150bdf30b507f74eca3c25645ca4c9354d11792ad92fc78c387418829ea648022fcde66b9a687e5daf9fe6ec
MISC metadata.xml 498 BLAKE2B de7c287e513c7e64b4bec29693e6eb9104ff963e0d4d942ed37402bf341739fb17b2ebdb1bf0aaa0081934bae34e16f025d0549f94c1a863be95d64a338eede4 SHA512 13dd8cf0f3e363a3fbf2b246bcc1ccd78a898d5ca830e30fb1606947ce129d99f2d8065c3668dc2c7749bbd4e24e39e5a7c483065737a580246a89dd4d41eaa7
diff --git a/dev-python/websocket-client/websocket-client-1.4.1.ebuild b/dev-python/websocket-client/websocket-client-1.4.1.ebuild
new file mode 100644
index 000000000000..78665da331ef
--- /dev/null
+++ b/dev-python/websocket-client/websocket-client-1.4.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="WebSocket client for python with hybi13 support"
+HOMEPAGE="
+ https://github.com/websocket-client/websocket-client/
+ https://pypi.org/project/websocket-client/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+BDEPEND="
+ test? (
+ dev-python/python-socks[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}